#!/bin/bash

# NFS auto start up may fail due to the latency of the disk mounting.
# Recheck it here to patch the problem.

service_name=nfs-kernel-server.service

if [ "`systemctl is-enabled $service_name`" == "enabled" ];then
    if ! systemctl start $service_name;then
        bash -c "sleep 10;systemctl start $service_name" &
    fi
fi
